get-default-ips(1)

NAME
get-default-ips - List all IP source addresses of interfaces with default routes.

SYNOPSIS
get-default-ips

DESCRIPTION
get-default-ips lists all IP source addresses of interfaces with default routes. Only non-dynamic, global-scoped addresses are returned. That is, 127.0.0.1, ::1, link-local addresses, IPv6-autoconfigured addresses, etc. are omitted.

EXAMPLES

get-default-ips

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/hipercontracer
mailto://dreibh@simula.no